REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////
REM *
REM * OPOSALL.BAS
REM *
REM *   Includes all of the .BAS include files.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 96-03-18 OPOS Release 1.01                                    CRM
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////
REM *///////////////////////////////////////////////////////////////////



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From Opos.h
REM *
REM *   General header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add OPOS_FOREVER.
REM *   Add BinaryConversion values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "State" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_S_CLOSED&            = 1
Public Const OPOS_S_IDLE&              = 2
Public Const OPOS_S_BUSY&              = 3
Public Const OPOS_S_ERROR&             = 4


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "ResultCode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOSERR&                  = 100
Public Const OPOSERREXT&               = 200

Public Const OPOS_SUCCESS&             =  0
Public Const OPOS_E_CLOSED&            =  1 + OPOSERR
Public Const OPOS_E_CLAIMED&           =  2 + OPOSERR
Public Const OPOS_E_NOTCLAIMED&        =  3 + OPOSERR
Public Const OPOS_E_NOSERVICE&         =  4 + OPOSERR
Public Const OPOS_E_DISABLED&          =  5 + OPOSERR
Public Const OPOS_E_ILLEGAL&           =  6 + OPOSERR
Public Const OPOS_E_NOHARDWARE&        =  7 + OPOSERR
Public Const OPOS_E_OFFLINE&           =  8 + OPOSERR
Public Const OPOS_E_NOEXIST&           =  9 + OPOSERR
Public Const OPOS_E_EXISTS&            = 10 + OPOSERR
Public Const OPOS_E_FAILURE&           = 11 + OPOSERR
Public Const OPOS_E_TIMEOUT&           = 12 + OPOSERR
Public Const OPOS_E_BUSY&              = 13 + OPOSERR
Public Const OPOS_E_EXTENDED&          = 14 + OPOSERR


REM *///////////////////////////////////////////////////////////////////
REM * OPOS "BinaryConversion" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_BC_NONE&             = 0
Public Const OPOS_BC_NIBBLE&           = 1
Public Const OPOS_BC_DECIMAL&          = 2


REM *///////////////////////////////////////////////////////////////////
REM * "CheckHealth" Method: "Level" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_CH_INTERNAL&         = 1
Public Const OPOS_CH_EXTERNAL&         = 2
Public Const OPOS_CH_INTERACTIVE&      = 3


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorEvent" Event: "ErrorLocus" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_EL_OUTPUT&           = 1
Public Const OPOS_EL_INPUT&            = 2
Public Const OPOS_EL_INPUT_DATA&       = 3


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorEvent" Event: "ErrorResponse" Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_ER_RETRY&            = 11
Public Const OPOS_ER_CLEAR&            = 12
Public Const OPOS_ER_CONTINUEINPUT&    = 13


REM *///////////////////////////////////////////////////////////////////
REM * General Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_FOREVER&             = -1



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposCash.h
REM *
REM *   Cash Drawer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM * No definitions required for this version.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposChan.h
REM *
REM *   Cash Changer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "DeviceStatus" and "FullStatus" Property Constants
REM * "StatusUpdateEvent" Event Constants
REM *///////////////////////////////////////////////////////////////////

Public Const CHAN_STATUS_OK&           =  0            ' DeviceStatus, FullStatus

Public Const CHAN_STATUS_EMPTY&        = 11            ' DeviceStatus, StatusUpdateEvent
Public Const CHAN_STATUS_NEAREMPTY&    = 12            ' DeviceStatus, StatusUpdateEvent
Public Const CHAN_STATUS_EMPTYOK&      = 13            ' StatusUpdateEvent

Public Const CHAN_STATUS_FULL&         = 21            ' FullStatus, StatusUpdateEvent
Public Const CHAN_STATUS_NEARFULL&     = 22            ' FullStatus, StatusUpdateEvent
Public Const CHAN_STATUS_FULLOK&       = 23            ' StatusUpdateEvent

Public Const CHAN_STATUS_JAM&          = 31            ' DeviceStatus, StatusUpdateEvent
Public Const CHAN_STATUS_JAMOK&        = 32            ' StatusUpdateEvent

Public Const CHAN_STATUS_ASYNC&        = 91            ' StatusUpdateEvent


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Cash Changer
REM *///////////////////////////////////////////////////////////////////


Public Const OPOS_ECHAN_OVERDISPENSE&  = 1 + OPOSERREXT



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposCoin.h
REM *
REM *   Coin Dispenser header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "DispenserStatus" Property Constants
REM * "StatusUpdateEvent" Event: "Data" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const COIN_STATUS_OK&           = 1
Public Const COIN_STATUS_EMPTY&        = 2
Public Const COIN_STATUS_NEAREMPTY&    = 3
Public Const COIN_STATUS_JAM&          = 4



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposDisp.h
REM *
REM *   Line Display header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 96-03-18 OPOS Release 1.01                                    CRM
REM *   Add DISP_MT_INIT constant and MarqueeFormat constants.
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM *   Add CapCharacterSet values for Kana and Kanji.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CapBlink" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_CB_NOBLINK&          = 0
Public Const DISP_CB_BLINKALL&         = 1
Public Const DISP_CB_BLINKEACH&        = 2


REM *///////////////////////////////////////////////////////////////////
REM * "CapCharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_CCS_NUMERIC&         =   0
Public Const DISP_CCS_ALPHA&           =   1
Public Const DISP_CCS_ASCII&           = 998
Public Const DISP_CCS_KANA&            =  10
Public Const DISP_CCS_KANJI&           =  11


REM *///////////////////////////////////////////////////////////////////
REM * "CharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_CS_ASCII&            = 998
Public Const DISP_CS_WINDOWS&          = 999


REM *///////////////////////////////////////////////////////////////////
REM * "MarqueeType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_MT_NONE&             = 0
Public Const DISP_MT_UP&               = 1
Public Const DISP_MT_DOWN&             = 2
Public Const DISP_MT_LEFT&             = 3
Public Const DISP_MT_RIGHT&            = 4
Public Const DISP_MT_INIT&             = 5


REM *///////////////////////////////////////////////////////////////////
REM * "MarqueeFormat" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_MF_WALK&             = 0
Public Const DISP_MF_PLACE&            = 1


REM *///////////////////////////////////////////////////////////////////
REM * "DisplayText" Method: "Attribute" Property Constants
REM * "DisplayTextAt" Method: "Attribute" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_DT_NORMAL&           = 0
Public Const DISP_DT_BLINK&            = 1


REM *///////////////////////////////////////////////////////////////////
REM * "ScrollText" Method: "Direction" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_ST_UP&               = 1
Public Const DISP_ST_DOWN&             = 2
Public Const DISP_ST_LEFT&             = 3
Public Const DISP_ST_RIGHT&            = 4


REM *///////////////////////////////////////////////////////////////////
REM * "SetDescriptor" Method: "Attribute" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const DISP_SD_OFF&              = 0
Public Const DISP_SD_ON&               = 1
Public Const DISP_SD_BLINK&            = 2



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposKbd.h
REM *
REM *   POS Keyboard header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add "EventTypes" and "POSKeyEventType" values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "EventTypes" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const KBD_ET_DOWN&              =   1
Public Const KBD_ET_DOWN_UP&           =   2


REM *///////////////////////////////////////////////////////////////////
REM * "POSKeyEventType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const KBD_KET_KEYDOWN&          =   1
Public Const KBD_KET_KEYUP&            =   2



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposLock.h
REM *
REM *   Keylock header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "KeyPosition" Property Constants
REM * "WaitForKeylockChange" Method: "KeyPosition" Parameter
REM * "StatusUpdateEvent" Event: "Data" Parameter
REM *///////////////////////////////////////////////////////////////////

Public Const LOCK_KP_ANY&              = 0             ' WaitForKeylockChange Only
Public Const LOCK_KP_LOCK&             = 1
Public Const LOCK_KP_NORM&             = 2
Public Const LOCK_KP_SUPR&             = 3



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposMicr.h
REM *
REM *   MICR header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "CheckType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MICR_CT_PERSONAL&         =  1
Public Const MICR_CT_BUSINESS&         =  2
Public Const MICR_CT_UNKNOWN&          = 99


REM *///////////////////////////////////////////////////////////////////
REM * "CountryCode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MICR_CC_USA&              =  1
Public Const MICR_CC_CANADA&           =  2
Public Const MICR_CC_MEXICO&           =  3
Public Const MICR_CC_UNKNOWN&          = 99


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for MICR
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_EMICR_NOCHECK&       = 1 + OPOSERREXT ' EndInsertion
Public Const OPOS_EMICR_CHECK&         = 2 + OPOSERREXT ' EndRemoval



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposMsr.h
REM *
REM *   Magnetic Stripe Reader header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add ErrorReportingType values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "TracksToRead" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MSR_TR_1&                 = 1
Public Const MSR_TR_2&                 = 2
Public Const MSR_TR_3&                 = 4

Public Const MSR_TR_1_2&               = MSR_TR_1 OR MSR_TR_2
Public Const MSR_TR_1_3&               = MSR_TR_1 OR MSR_TR_3
Public Const MSR_TR_2_3&               = MSR_TR_2 OR MSR_TR_3

Public Const MSR_TR_1_2_3&             = MSR_TR_1 OR MSR_TR_2 OR MSR_TR_3


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorReportingType" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const MSR_ERT_CARD&             = 0
Public Const MSR_ERT_TRACK&            = 1


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorEvent" Event: "ResultCodeExtended" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_EMSR_START&          = 1 + OPOSERREXT
Public Const OPOS_EMSR_END&            = 2 + OPOSERREXT
Public Const OPOS_EMSR_PARITY&         = 3 + OPOSERREXT
Public Const OPOS_EMSR_LRC&            = 4 + OPOSERREXT



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposPtr.h
REM *
REM *   POS Printer header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 96-04-22 OPOS Release 1.1                                     CRM
REM *   Add CapCharacterSet values.
REM *   Add ErrorLevel values.
REM *   Add TransactionPrint Control values.
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Remove PTR_RP_NORMAL_ASYNC.
REM *   Add more barcode symbologies.
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * Printer Station Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_S_JOURNAL&            = 1
Public Const PTR_S_RECEIPT&            = 2
Public Const PTR_S_SLIP&               = 4

Public Const PTR_S_JOURNAL_RECEIPT&    = PTR_S_JOURNAL OR PTR_S_RECEIPT
Public Const PTR_S_JOURNAL_SLIP&       = PTR_S_JOURNAL OR PTR_S_SLIP
Public Const PTR_S_RECEIPT_SLIP&       = PTR_S_RECEIPT OR PTR_S_SLIP


REM *///////////////////////////////////////////////////////////////////
REM * "CapCharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_CCS_ALPHA&            =   1
Public Const PTR_CCS_ASCII&            = 998
Public Const PTR_CCS_KANA&             =  10
Public Const PTR_CCS_KANJI&            =  11


REM *///////////////////////////////////////////////////////////////////
REM * "CharacterSet" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_CS_ASCII&             = 998
Public Const PTR_CS_WINDOWS&           = 999


REM *///////////////////////////////////////////////////////////////////
REM * "ErrorLevel" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_EL_NONE&              = 1
Public Const PTR_EL_RECOVERABLE&       = 2
Public Const PTR_EL_FATAL&             = 3


REM *///////////////////////////////////////////////////////////////////
REM * "MapMode" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_MM_DOTS&              = 1
Public Const PTR_MM_TWIPS&             = 2
Public Const PTR_MM_ENGLISH&           = 3
Public Const PTR_MM_METRIC&            = 4


REM *///////////////////////////////////////////////////////////////////
REM * "CutPaper" Method Constant
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_CP_FULLCUT&           = 100


REM *///////////////////////////////////////////////////////////////////
REM * "PrintBarCode" Method Constants:
REM *///////////////////////////////////////////////////////////////////

REM *   "Alignment" Parameter
REM *     Either the distance from the left-most print column to the start
REM *     of the bar code, or one of the following:

Public Const PTR_BC_LEFT&              = -1
Public Const PTR_BC_CENTER&            = -2
Public Const PTR_BC_RIGHT&             = -3

REM *   "TextPosition" Parameter

Public Const PTR_BC_TEXT_NONE&         = -11
Public Const PTR_BC_TEXT_ABOVE&        = -12
Public Const PTR_BC_TEXT_BELOW&        = -13

REM *   "Symbology" Parameter:

REM *     One dimensional symbologies
Public Const PTR_BCS_UPCA&             = 101           ' Digits
Public Const PTR_BCS_UPCE&             = 102           ' Digits
Public Const PTR_BCS_JAN8&             = 103           ' = EAN 8
Public Const PTR_BCS_EAN8&             = 103           ' = JAN 8 (added in 1.2)
Public Const PTR_BCS_JAN13&            = 104           ' = EAN 13
Public Const PTR_BCS_EAN13&            = 104           ' = JAN 13 (added in 1.2)
Public Const PTR_BCS_TF&               = 105           ' (Discrete 2 of 5) Digits
Public Const PTR_BCS_ITF&              = 106           ' (Interleaved 2 of 5) Digits
Public Const PTR_BCS_Codabar&          = 107           ' Digits, -, $, :, /, ., +;
                                                 '   4 start/stop characters
                                                 '   (a, b, c, d)
Public Const PTR_BCS_Code39&           = 108           ' Alpha, Digits, Space, -, .,
                                                 '   $, /, +, %; start/stop (*)
                                                 ' Also has Full ASCII feature
Public Const PTR_BCS_Code93&           = 109           ' Same characters as Code 39
Public Const PTR_BCS_Code128&          = 110           ' 128 data characters
REM *        (The following were added in Release 1.2)
Public Const PTR_BCS_UPCA_S&           = 111           ' UPC-A with supplemental
                                                 '   barcode
Public Const PTR_BCS_UPCE_S&           = 112           ' UPC-E with supplemental
                                                 '   barcode
Public Const PTR_BCS_UPCD1&            = 113           ' UPC-D1
Public Const PTR_BCS_UPCD2&            = 114           ' UPC-D2
Public Const PTR_BCS_UPCD3&            = 115           ' UPC-D3
Public Const PTR_BCS_UPCD4&            = 116           ' UPC-D4
Public Const PTR_BCS_UPCD5&            = 117           ' UPC-D5
Public Const PTR_BCS_EAN8_S&           = 118           ' EAN 8 with supplemental
                                                 '   barcode
Public Const PTR_BCS_EAN13_S&          = 119           ' EAN 13 with supplemental
                                                 '   barcode
Public Const PTR_BCS_EAN128&           = 120           ' EAN 128
Public Const PTR_BCS_OCRA&             = 121           ' OCR "A"
Public Const PTR_BCS_OCRB&             = 122           ' OCR "B"


REM *     Two dimensional symbologies
Public Const PTR_BCS_PDF417&           = 201
Public Const PTR_BCS_MAXICODE&         = 202

REM *     Start of Printer-Specific bar code symbologies
Public Const PTR_BCS_OTHER&            = 501


REM *///////////////////////////////////////////////////////////////////
REM * "PrintBitmap" Method Constants:
REM *///////////////////////////////////////////////////////////////////

REM *   "Width" Parameter
REM *     Either bitmap width or:

Public Const PTR_BM_ASIS&              = -11           ' One pixel per printer dot

REM *   "Alignment" Parameter
REM *     Either the distance from the left-most print column to the start
REM *     of the bitmap, or one of the following:

Public Const PTR_BM_LEFT&              = -1
Public Const PTR_BM_CENTER&            = -2
Public Const PTR_BM_RIGHT&             = -3


REM *///////////////////////////////////////////////////////////////////
REM * "RotatePrint" Method: "Rotation" Parameter Constants
REM * "RotateSpecial" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_RP_NORMAL&            = &H0001
Public Const PTR_RP_RIGHT90&           = &H0101
Public Const PTR_RP_LEFT90&            = &H0102
Public Const PTR_RP_ROTATE180&         = &H0103


REM *///////////////////////////////////////////////////////////////////
REM * "SetLogo" Method: "Location" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_L_TOP&                = 1
Public Const PTR_L_BOTTOM&             = 2


REM *///////////////////////////////////////////////////////////////////
REM * "TransactionPrint" Method: "Control" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_TP_TRANSACTION&       = 11
Public Const PTR_TP_NORMAL&            = 12


REM *///////////////////////////////////////////////////////////////////
REM * "StatusUpdateEvent" Event: "Data" Parameter Constants
REM *///////////////////////////////////////////////////////////////////

Public Const PTR_SUE_COVER_OPEN&       =   11
Public Const PTR_SUE_COVER_OK&         =   12

Public Const PTR_SUE_JRN_EMPTY&        =   21
Public Const PTR_SUE_JRN_NEAREMPTY&    =   22
Public Const PTR_SUE_JRN_PAPEROK&      =   23

Public Const PTR_SUE_REC_EMPTY&        =   24
Public Const PTR_SUE_REC_NEAREMPTY&    =   25
Public Const PTR_SUE_REC_PAPEROK&      =   26

Public Const PTR_SUE_SLP_EMPTY&        =   27
Public Const PTR_SUE_SLP_NEAREMPTY&    =   28
Public Const PTR_SUE_SLP_PAPEROK&      =   29

Public Const PTR_SUE_IDLE&             = 1001


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Printer
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_EPTR_COVER_OPEN&     = 1 + OPOSERREXT ' (Several)
Public Const OPOS_EPTR_JRN_EMPTY&      = 2 + OPOSERREXT ' (Several)
Public Const OPOS_EPTR_REC_EMPTY&      = 3 + OPOSERREXT ' (Several)
Public Const OPOS_EPTR_SLP_EMPTY&      = 4 + OPOSERREXT ' (Several)
Public Const OPOS_EPTR_SLP_FORM&       = 5 + OPOSERREXT ' EndRemoval
Public Const OPOS_EPTR_TOOBIG&         = 6 + OPOSERREXT ' PrintBitmap
Public Const OPOS_EPTR_BADFORMAT&      = 7 + OPOSERREXT ' PrintBitmap



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposScal.h
REM *
REM *   Scale header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "WeightUnit" Property Constants
REM *///////////////////////////////////////////////////////////////////

Public Const SCAL_WU_GRAM&             = 1
Public Const SCAL_WU_KILOGRAM&         = 2
Public Const SCAL_WU_OUNCE&            = 3
Public Const SCAL_WU_POUND&            = 4


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Scale
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_ESCAL_OVERWEIGHT&    = 1 + OPOSERREXT ' ReadWeight



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposScan.h
REM *
REM *   Scanner header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *   Add "ScanDataType" values.
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "ScanDataType" Property Constants
REM *///////////////////////////////////////////////////////////////////

REM * One dimensional symbologies
Public Const SCAN_SDT_UPCA&            = 101           ' Digits
Public Const SCAN_SDT_UPCE&            = 102           ' Digits
Public Const SCAN_SDT_JAN8&            = 103           ' = EAN 8
Public Const SCAN_SDT_EAN8&            = 103           ' = JAN 8 (added in 1.2)
Public Const SCAN_SDT_JAN13&           = 104           ' = EAN 13
Public Const SCAN_SDT_EAN13&           = 104           ' = JAN 13 (added in 1.2)
Public Const SCAN_SDT_TF&              = 105           ' (Discrete 2 of 5) Digits
Public Const SCAN_SDT_ITF&             = 106           ' (Interleaved 2 of 5) Digits
Public Const SCAN_SDT_Codabar&         = 107           ' Digits, -, $, :, /, ., +;
                                                 '   4 start/stop characters
                                                 '   (a, b, c, d)
Public Const SCAN_SDT_Code39&          = 108           ' Alpha, Digits, Space, -, .,
                                                 '   $, /, +, %; start/stop (*)
                                                 ' Also has Full ASCII feature
Public Const SCAN_SDT_Code93&          = 109           ' Same characters as Code 39
Public Const SCAN_SDT_Code128&         = 110           ' 128 data characters

Public Const SCAN_SDT_UPCA_S&          = 111           ' UPC-A with supplemental
                                                 '   barcode
Public Const SCAN_SDT_UPCE_S&          = 112           ' UPC-E with supplemental
                                                 '   barcode
Public Const SCAN_SDT_UPCD1&           = 113           ' UPC-D1
Public Const SCAN_SDT_UPCD2&           = 114           ' UPC-D2
Public Const SCAN_SDT_UPCD3&           = 115           ' UPC-D3
Public Const SCAN_SDT_UPCD4&           = 116           ' UPC-D4
Public Const SCAN_SDT_UPCD5&           = 117           ' UPC-D5
Public Const SCAN_SDT_EAN8_S&          = 118           ' EAN 8 with supplemental
                                                 '   barcode
Public Const SCAN_SDT_EAN13_S&         = 119           ' EAN 13 with supplemental
                                                 '   barcode
Public Const SCAN_SDT_EAN128&          = 120           ' EAN 128
Public Const SCAN_SDT_OCRA&            = 121           ' OCR "A"
Public Const SCAN_SDT_OCRB&            = 122           ' OCR "B"

REM * Two dimensional symbologies
Public Const SCAN_SDT_PDF417&          = 201
Public Const SCAN_SDT_MAXICODE&        = 202

REM * Special cases
Public Const SCAN_SDT_OTHER&           = 501           ' Start of Scanner-Specific bar
                                                 '   code symbologies
Public Const SCAN_SDT_UNKNOWN&         =   0           ' Cannot determine the barcode
                                                 '   symbology.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposSig.h
REM *
REM *   Signature Capture header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM * No definitions required for this version.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposTone.h
REM *
REM *   Tone Indicator header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 97-06-04 OPOS Release 1.2                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM * No definitions required for this version.



REM *///////////////////////////////////////////////////////////////////
REM *
REM * From OposTot.h
REM *
REM *   Hard Totals header file for OPOS Applications.
REM *
REM * Modification history
REM * ------------------------------------------------------------------
REM * 95-12-08 OPOS Release 1.0                                     CRM
REM *
REM *///////////////////////////////////////////////////////////////////


REM *///////////////////////////////////////////////////////////////////
REM * "ResultCodeExtended" Property Constants for Hard Totals
REM *///////////////////////////////////////////////////////////////////

Public Const OPOS_ETOT_NOROOM&         = 1 + OPOSERREXT ' Create, Write
Public Const OPOS_ETOT_VALIDATION&     = 2 + OPOSERREXT ' Read, Write



REM *End of OPOSALL.BAS*

